com.pivotal.gemfirexd.internal.client.am

## Class LogWriter

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.LogWriter

Direct Known Subclasses:
  NetLogWriter

    public class LogWriter
    extends Object

### Field Summary

Fields
`protected PrintWriter` `printWriter_`
`boolean` `printWriterNeedsToBeClosed_`
`protected int` `traceLevel_`

### Constructor Summary

Constructors
Constructor and Description
`LogWriter(PrintWriter printWriter, int traceLevel)`

### Method Summary

Methods
`void` `dncprintln(String s)`
`Level` `getLogLevel()`
`PrintWriter` `getPrintWriter()`
`static PrintWriter` `getPrintWriter(String fileName, boolean fileAppend)`
`protected boolean` `loggingEnabled(int traceLevel)`
`void` `traceConnectEntry(ClientBaseDataSource dataSource)`
`void` `traceConnectEntry(String server, int port, String database, Properties properties)`
`void` `traceConnectExit(Connection connection)`
`void` `traceConnectResetEntry(Object instance, LogWriter logWriter, String user, ClientBaseDataSource ds)`
`void` `traceConnectResetExit(Connection connection)`
`void` `traceConnectsExit(Connection c)`
`void` `traceConnectsResetExit(Connection c)`
`void` `traceDeprecatedEntry(Object instance, String methodName, int argument)`
`void` `traceDeprecatedEntry(Object instance, String methodName, int arg1, int arg2)`
`void` `traceDeprecatedEntry(Object instance, String methodName, int arg1, Object arg2, int arg3)`
`void` `traceDeprecatedEntry(Object instance, String methodName, Object argument)`
`void` `traceDeprecatedEntry(Object instance, String methodName, Object arg1, int arg2)`
`void` `traceDeprecatedExit(Object instance, String methodName, byte[] returnValue)`
`void` `traceDeprecatedExit(Object instance, String methodName, Object returnValue)`
`void` `traceDiagnosable(SqlException e)`
`void` `traceDiagnosable(SQLException e)`
`void` `traceDiagnosable(XAException e)`
`void` `traceEntry(Object instance, String methodName)`
`void` `traceEntry(Object instance, String methodName, boolean argument)`
`void` `traceEntry(Object instance, String methodName, int argument)`
`void` `traceEntry(Object instance, String methodName, int arg1, boolean arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, byte arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, byte[] arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, double arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, float arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, int arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, int arg2, int arg3)`
`void` `traceEntry(Object instance, String methodName, int arg1, int arg2, Object arg3)`
`void` `traceEntry(Object instance, String methodName, int arg1, long arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, Object arg2)`
`void` `traceEntry(Object instance, String methodName, int arg1, Object arg2, int arg3)`
`void` `traceEntry(Object instance, String methodName, int arg1, Object arg2, int arg3, int arg4)`
`void` `traceEntry(Object instance, String methodName, int arg1, Object arg2, Object arg3)`
`void` `traceEntry(Object instance, String methodName, int arg1, Object arg2, Object arg3, Object arg4)`
`void` `traceEntry(Object instance, String methodName, int arg1, short arg2)`
`void` `traceEntry(Object instance, String methodName, Object argument)`
`void` `traceEntry(Object instance, String methodName, Object arg1, boolean arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, boolean arg2, boolean arg3)`
`void` `traceEntry(Object instance, String methodName, Object arg1, boolean arg2, int arg3)`
`void` `traceEntry(Object instance, String methodName, Object arg1, byte arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, double arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, float arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, int arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, int arg2, int arg3)`
`void` `traceEntry(Object instance, String methodName, Object arg1, int arg2, int arg3, int arg4)`
`void` `traceEntry(Object instance, String methodName, Object arg1, int arg2, Object arg3)`
`void` `traceEntry(Object instance, String methodName, Object arg1, long arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, int arg3)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, int arg3, int arg4)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, Object arg3)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, Object arg3, boolean arg4, boolean arg5)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, Object arg3, int arg4, boolean arg5)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)`
`void` `traceEntry(Object instance, String methodName, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6)`
`void` `traceEntry(Object instance, String methodName, Object arg1, short arg2)`
`void` `traceExit(Object instance, String methodName, Blob blob)`
`void` `traceExit(Object instance, String methodName, boolean returnValue)`
`void` `traceExit(Object instance, String methodName, byte returnValue)`
`void` `traceExit(Object instance, String methodName, byte[] returnValue)`
`void` `traceExit(Object instance, String methodName, CallableStatement returnValue)`
`void` `traceExit(Object instance, String methodName, Clob clob)`
`void` `traceExit(Object instance, String methodName, ColumnMetaData returnValue)`
`void` `traceExit(Object instance, String methodName, Connection returnValue)`
`void` `traceExit(Object instance, String methodName, DatabaseMetaData returnValue)`
`void` `traceExit(Object instance, String methodName, double returnValue)`
`void` `traceExit(Object instance, String methodName, float returnValue)`
`void` `traceExit(Object instance, String methodName, int returnValue)`
`void` `traceExit(Object instance, String methodName, int[] returnValue)`
`void` `traceExit(Object instance, String methodName, long returnValue)`
`void` `traceExit(Object instance, String methodName, Object returnValue)`
`void` `traceExit(Object instance, String methodName, PreparedStatement returnValue)`
`void` `traceExit(Object instance, String methodName, ResultSet resultSet)`
`void` `traceExit(Object instance, String methodName, Statement returnValue)`
`void` `traceParameterMetaData(Statement statement, ColumnMetaData columnMetaData)`
`void` `tracepoint(String component, int tracepoint, Object instance, String classContext, String methodContext)`
`void` `tracepoint(String component, int tracepoint, Object instance, String classContext, String methodContext, Map memory)`
`void` `tracepoint(String component, int tracepoint, String message)`
`void` `tracepoint(String component, int tracepoint, String classContext, String methodContext)`
`void` `tracepoint(String component, int tracepoint, String classContext, String methodContext, Map memory)`
`void` `traceResultSetMetaData(Statement statement, ColumnMetaData columnMetaData)`
`protected boolean` `traceSuspended()`
`void` `writeDriverConfiguration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### printWriter_

    protected PrintWriter printWriter_

#### traceLevel_

    protected int traceLevel_

#### printWriterNeedsToBeClosed_

    public boolean printWriterNeedsToBeClosed_

### Constructor Detail

#### LogWriter

    public LogWriter(PrintWriter printWriter,
             int traceLevel)

### Method Detail

#### loggingEnabled

    protected final boolean loggingEnabled(int traceLevel)

#### traceSuspended

    protected final boolean traceSuspended()

#### getPrintWriter

    public final PrintWriter getPrintWriter()

#### getLogLevel

    public final Level getLogLevel()

#### dncprintln

    public void dncprintln(String s)

#### tracepoint

    public void tracepoint(String component,
                  int tracepoint,
                  String message)

#### tracepoint

    public void tracepoint(String component,
                  int tracepoint,
                  String classContext,
                  String methodContext)

#### tracepoint

    public void tracepoint(String component,
                  int tracepoint,
                  Object instance,
                  String classContext,
                  String methodContext)

#### tracepoint

    public void tracepoint(String component,
                  int tracepoint,
                  String classContext,
                  String methodContext,
                  Map memory)

#### tracepoint

    public void tracepoint(String component,
                  int tracepoint,
                  Object instance,
                  String classContext,
                  String methodContext,
                  Map memory)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 Object returnValue)

#### traceDeprecatedExit

    public void traceDeprecatedExit(Object instance,
                           String methodName,
                           Object returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 ResultSet resultSet)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 CallableStatement returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 PreparedStatement returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 Statement returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 Blob blob)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 Clob clob)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 DatabaseMetaData returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 Connection returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 ColumnMetaData returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 byte[] returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 int[] returnValue)

#### traceDeprecatedExit

    public void traceDeprecatedExit(Object instance,
                           String methodName,
                           byte[] returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 byte returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 int returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 boolean returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 long returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 float returnValue)

#### traceExit

    public void traceExit(Object instance,
                 String methodName,
                 double returnValue)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object argument)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  boolean argument)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int argument)

#### traceDeprecatedEntry

    public void traceDeprecatedEntry(Object instance,
                            String methodName,
                            int argument)

#### traceDeprecatedEntry

    public void traceDeprecatedEntry(Object instance,
                            String methodName,
                            Object argument)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  Object arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  byte[] arg2)

#### traceDeprecatedEntry

    public void traceDeprecatedEntry(Object instance,
                            String methodName,
                            int arg1,
                            int arg2)

#### traceDeprecatedEntry

    public void traceDeprecatedEntry(Object instance,
                            String methodName,
                            Object arg1,
                            int arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  boolean arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  byte arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  short arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  int arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  long arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  float arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  double arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  boolean arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  byte arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  short arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  int arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  long arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  float arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  double arg2)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  Object arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  Object arg2,
                  Object arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  int arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  Object arg2,
                  int arg3)

#### traceDeprecatedEntry

    public void traceDeprecatedEntry(Object instance,
                            String methodName,
                            int arg1,
                            Object arg2,
                            int arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  int arg2,
                  Object arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  int arg2,
                  int arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  int arg2,
                  int arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  int arg2,
                  Object arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  boolean arg2,
                  boolean arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  boolean arg2,
                  int arg3)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  Object arg3,
                  Object arg4)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  Object arg2,
                  Object arg3,
                  Object arg4)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  int arg1,
                  Object arg2,
                  int arg3,
                  int arg4)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  int arg2,
                  int arg3,
                  int arg4)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  int arg3,
                  int arg4)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  Object arg3,
                  int arg4,
                  boolean arg5)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  Object arg3,
                  boolean arg4,
                  boolean arg5)

#### traceEntry

    public void traceEntry(Object instance,
                  String methodName,
                  Object arg1,
                  Object arg2,
                  Object arg3,
                  Object arg4,
                  Object arg5,
                  Object arg6)

#### traceDiagnosable

    public void traceDiagnosable(SqlException e)

#### traceDiagnosable

    public void traceDiagnosable(SQLException e)

#### traceDiagnosable

    public void traceDiagnosable(XAException e)

#### traceParameterMetaData

    public void traceParameterMetaData(Statement statement,
                              ColumnMetaData columnMetaData)

#### traceResultSetMetaData

    public void traceResultSetMetaData(Statement statement,
                              ColumnMetaData columnMetaData)

#### traceConnectEntry

    public void traceConnectEntry(ClientBaseDataSource dataSource)

#### traceConnectEntry

    public void traceConnectEntry(String server,
                         int port,
                         String database,
                         Properties properties)

#### traceConnectResetEntry

    public void traceConnectResetEntry(Object instance,
                              LogWriter logWriter,
                              String user,
                              ClientBaseDataSource ds)

#### traceConnectExit

    public void traceConnectExit(Connection connection)

#### traceConnectResetExit

    public void traceConnectResetExit(Connection connection)

#### traceConnectsExit

    public void traceConnectsExit(Connection c)

#### traceConnectsResetExit

    public void traceConnectsResetExit(Connection c)

#### writeDriverConfiguration

    public void writeDriverConfiguration()

#### getPrintWriter

    public static PrintWriter getPrintWriter(String fileName,
                             boolean fileAppend)
                                      throws SqlException

Throws:
  `SqlException`